<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
    <title>MsFLOSS JS Library Documentation</title>
    <meta name="description" content="JS library documentation for MsFLOSS data visualization.">
    <meta name="author" content="MsFLOSS data visualization team">
    <meta name="format-detection" content="telephone=no">
	<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=latin,cyrillic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
	<section class="content">
		<div class="container">
			<div class="content-wrap">
				<div class="row">
					<aside>
						<div class="menu-box">
							<h4>MsFLOSS JS Library Documentation</h4>	
							<nav>
								<ul>
									<li><a href="#start" class="current">MsFLOSS JS Library</a></li>
									<li><a href="#installation">Installation</a></li>
									<li><a href="#create">Creating a chart</a></li>
									<li><a href="#charts">Charts</a></li>
									<ul>
										<li><a href="#commits">&nbsp;&nbsp;&nbsp;&nbsp;Commits</a></li>
										<li><a href="#emails">&nbsp;&nbsp;&nbsp;&nbsp;Emails</a></li>
										<li><a href="#irc">&nbsp;&nbsp;&nbsp;&nbsp;IRC</a></li>
										<li><a href="#issue">&nbsp;&nbsp;&nbsp;&nbsp;Issue Tracker</a></li>
										<li><a href="#nlp">&nbsp;&nbsp;&nbsp;&nbsp;NLP</a></li>
									</ul>
								</ul>					
							</nav>
						</div>
					</aside>
					<div class="content-info">
						<div class="section-txt" id="start">
							<h3>MsFLOSS JS Library</h3>
							<p>A Javascript library that generates charts and visualizations from open sources projects, such as the Linux kernel.</p>
						</div>
						<div class="section-txt" id="installation">
                            <h3>Installation</h3>
                            <p>To use this JS library you can:</p>
							<ul>
								<li>Download the latest version from the <a href="https://github.com/lucianokelvin/graficosPOO">GitHub repository</a></li>
								<li>Or use our <a href="https://cdn.jsdelivr.net/gh/lucianokelvin/graficosPOO@0.6/api/">CDN content</a></li>
							</ul>
						</div>
						<div class="section-txt" id="create">
							<h3>Creating a chart</h3>
								<p>The javascript file links below must be inserted in one HTML file (considering you're using CDN)</p>
								<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;font-size: 16px;"><pre style="margin: 0; line-height: 125%"><span style="color: #007700">&lt;script </span><span style="color: #0000CC">src=</span><span style="background-color: #fff0f0">&quot;https://cdn.jsdelivr.net/npm/chart.js@2.8.0/dist/Chart.min.js&quot;</span><span style="color: #007700">&gt;&lt;/script&gt;</span>
								</pre></div>								
								<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;font-size: 16px;"><pre style="margin: 0; line-height: 125%"><span style="color: #007700">&lt;script </span><span style="color: #0000CC">src=</span><span style="background-color: #fff0f0">&quot;https://cdn.jsdelivr.net/gh/lucianokelvin/graficosPOO@0.6/api/api.js&quot;</span> <span style="color: #0000CC">type=</span><span style="background-color: #fff0f0">&quot;text/javascript&quot;</span><span style="color: #007700">&gt;&lt;/script&gt;</span>
								</pre></div>
								<p>The stylesheet file link must be inserted in one HTML file</p>
								<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;font-size: 16px;"><pre style="margin: 0; line-height: 125%"><span style="color: #007700">&lt;link</span> <span style="color: #0000CC">rel=</span><span style="background-color: #fff0f0">&quot;stylesheet&quot;</span> <span style="color: #0000CC">type=</span><span style="background-color: #fff0f0">&quot;text/css&quot;</span> <span style="color: #0000CC">href=</span><span style="background-color: #fff0f0">&quot;https://cdn.jsdelivr.net/gh/lucianokelvin/graficosPOO@0.6/api/style.css&quot;</span><span style="color: #007700">&gt;</span>
									</pre></div>	
								<p>In the order to plot, it is necessary:</p>	
								<ul>
									<li>One HTML canvas, like:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #007700">&lt;canvas</span> <span style="color: #0000CC">id=</span><span style="background-color: #fff0f0">&quot;commitsChart&quot;</span> <span style="color: #0000CC">width=</span><span style="background-color: #fff0f0">&quot;100&quot;</span> <span style="color: #0000CC">height=</span><span style="background-color: #fff0f0">&quot;100&quot;</span><span style="color: #007700">&gt;&lt;/canvas&gt;</span>
									</pre></div>
									</li>
									<li>Call JavaScript function by the "id" of the canvas and the "id" of the repository, like:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%">numberOfCommits(<span style="background-color: #fff0f0">&quot;commitsChart&quot;, 1</span>);
									</pre></div>
									</li>
								</ul>					
						</div>
						<div class="section-txt" id="charts">
							<h3>Charts</h3>
							<p>We separated the chart functions by their content. This is the content sections we are using:</p>
							<ul>
								<li>Commits information</li>
								<li>Emails information</li>
								<li>IRC channels information</li>
								<li>Issue Tracker information</li>
								<li>NPL service information</li>
							</ul>
						</div>
						<div class="section-txt" id="commits">
							<h4>Commits</h2>
							<p>The functions below represents the available chats using commits data.</p>
							<ul>
								<li>Returns the number of commits by user:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> numberOfCommits(canvasId, repositoryId)
								</pre></div>
								</li>
								<!-- <li>Returns the number of commits and reviews by user:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> numberOfCommitsReviews(canvasId, repositoryId)
								</pre></div></li> -->
								<li>Returns the quantity of days of users contributions:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> contributionDaysGit(canvasId, repositoryId)
								</pre></div>
								</li>
							</ul>
						</div>
						<div class="section-txt" id="emails">
							<h4>Emails</h2>
							<p>The functions below represents the available chats using emails data.</p>
							<ul>
								<li>Returns an array of integers containing the message sizes:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> emailMessageSizes(canvasId, repositoryId)
								</pre></div>
								</li>
								<li>Returns one array of integers formed by the number of participants:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> numberOfParticipantsSubject(canvasId, repositoryId)
								</pre></div>
								</li>
								<li>Returns the lifetime (in days) for each conversation theme:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> lifetimeConversation(canvasId, repositoryId)
								</pre></div>
								</li>
							</ul>
						</div>
						<div class="section-txt" id="irc">
							<h4>IRC</h2>
							<p>The functions below represents the available chats using IRC channels data.</p>
							<ul>
								<li>Returns the number of sent messages per hour along the day:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> numberOfIRCMsgs(canvasId, repositoryId)
								</pre></div>
								</li>
							</ul>
						</div>
						<div class="section-txt" id="issue">
							<h4>Issue Tracker</h2>
							<p>The functions below represents the available chats using issue trackers data.</p>
							<ul>
								<li>Returns the number of issues closed by users:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> numberOfCLosedIssues(canvasId, repositoryId)
								</pre></div>
								</li>
							</ul>
						</div>
						<div class="section-txt" id="nlp">
							<h4>NLP</h2>
							<p>The functions below represents the available chats using the MsFLOSS NLP service.</p>
							<ul>
								<li>Returns one hash containig the scores of 10 different subjects:<div style="background: #ffffff; overflow:auto;width:auto;padding:.2em .6em;"><pre style="margin: 0; line-height: 125%"><span style="color: #008800; font-weight: bold">function</span> subjectSentimentAnalysis(canvasId, repositoryId)
								</pre></div>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<div class="footer-area">
		<div class="container">
			<div class="row">
			</div>
		</div>
	</div>
	<footer>
		<div class="container">
			<div class="row">
				<div class="col-lg-12 center">
					Developed by valthemes.com © 2016. All rights reserved.
				</div>
			</div>
		</div>
	</footer>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/prettify/r298/prettify.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/script.js/2.5.9/script.min.js"></script>
</body>
</html>